{ lib
, config
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.profiles.gaming;
in
{
  options.my.profiles.gaming.enable = mkEnableOption "Enable gaming profile";

  config = mkIf cfg.enable {
    programs.steam.enable = true;
    environment.systemPackages = with pkgs; [
      lutris
      legendary-gl
      mangohud
    ];
  };
}
