{ config
, lib
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.programs.logseq;
in
{
  options.my.programs.logseq.enable = mkEnableOption "logseq";

  config = mkIf cfg.enable {
    users.users.moritz.packages = with pkgs; [
      logseq-wayland
    ];
    xdg.mime.defaultApplications."x-scheme-handler/logseq" = "logseq.desktop";
  };
}
