{ config, lib, ... }:

with lib;
let
  cfg = config.my.programs.navi;
in
{
  options.my.programs.navi.enable = mkEnableOption "navi";

  config = mkIf cfg.enable {
    home-manager.users.moritz = {
      programs.navi.enable = true;
      xdg.dataFile."navi/cheats/personal" = {
        enable = true;
        recursive = true;
        source = ./cheats;
      };
    };
  };
}
