local null_ls = require("null-ls")

null_ls.setup({
  sources = {
    -- Code actions
    null_ls.builtins.code_actions.shellcheck,
    null_ls.builtins.code_actions.statix,
    -- Diagnostics
    null_ls.builtins.diagnostics.checkmake,
    null_ls.builtins.diagnostics.deadnix,
    null_ls.builtins.diagnostics.dotenv_linter,
    null_ls.builtins.diagnostics.fish,
    null_ls.builtins.diagnostics.jsonlint,
    null_ls.builtins.diagnostics.shellcheck,
    null_ls.builtins.diagnostics.statix,
    null_ls.builtins.diagnostics.trail_space,
    null_ls.builtins.diagnostics.yamllint,
  },
})
