{ config
, lib
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.services.dunst;
in
{
  options.my.services.dunst.enable = mkEnableOption "dunst";

  config = lib.mkIf cfg.enable {
    home-manager.users.moritz.services.dunst.enable = true;
    home-manager.users.moritz.services.dunst.settings.global = {
      font = "Monospace 10";
    };
  };
}
