{ config
, lib
, ...
}:

with lib;
let
  cfg = config.my.virtualisation.podman;
in
{
  options.my.virtualisation.podman.enable = mkEnableOption "podman";

  config = mkIf cfg.enable {
    virtualisation.podman = {
      enable = true;
      dockerCompat = true;
      defaultNetwork.settings.dns_enabled = true;
    };
  };
}
