_:

final: prev: {
  neovide-hyprland = final.symlinkJoin {
    name = "neovide-hyprland-${final.neovide.version}";
    paths = [ final.neovide ];
    nativeBuildInputs = [ final.makeWrapper ];
    postBuild = ''
      rm $out/bin/neovide
      makeWrapper ${final.neovide}/bin/neovide $out/bin/neovide --set WINIT_UNIX_BACKEND x11
    '';
    meta = final.neovide.meta // {
      mainProgram = "neovide";
    };
  };
  logseq-wayland = prev.symlinkJoin {
    name = "logseq-wayland";
    paths = [ prev.logseq ];
    nativeBuildInputs = [ prev.makeWrapper ];
    postBuild = ''
      wrapProgram $out/bin/logseq \
        --add-flags "--socket=wayland --enable-features=UseOzonePlatform --ozone-platform=wayland"
    '';
  };
}
