{ pkgs ? import <nixpkgs> { } }:

let
  poetry2nix = import (fetchTarball "https://github.com/nix-community/poetry2nix/archive/master.tar.gz") { };
  project =
    poetry2nix.mkPoetryApplication {
      projectDir = ./.;
      preferWheels = true;
    };
in
pkgs.mkShell {
  inputsFrom = [ project ];
  packages = [ pkgs.poetry ];
}
