{ config
, lib
, ...
}:

with lib;
let
  cfg = config.my.wallpapers;
in
{
  options.my.wallpapers.enable = mkEnableOption "wallpapers";

  config = mkIf cfg.enable {
    home-manager.users.moritz.xdg = {
      enable = true;
      configFile = {
        "wallpapers/" = {
          source = ./wallpapers;
          recursive = true;
        };
      };
    };
  };
}
