{ lib
, config
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.profiles.ripping;
in

{
  options.my.profiles.ripping.enable = mkEnableOption "ripping profile";

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      # ripping
      abcde
      handbrake
      picard
    ];
  };
}
