{ config
, lib
, ...
}:

with lib;
let
  cfg = config.my.programs.helix;
in
{
  options.my.programs.helix.enable = mkEnableOption "helix";

  config = mkIf cfg.enable {
    home-manager.users.moritz.programs.helix = {
      enable = true;
      settings = {
        theme = "dracula";
        keys.normal = {
          space.space = "file_picker";
        };
      };
    };
  };
}
