vim.o.fillchars = [[eob: ,fold: ,foldopen:,foldsep: ,foldclose:]]
local builtin = require("statuscol.builtin")
require("statuscol").setup({
  segments = {
    {
      sign = { name = { ".*" }, auto = true },
      click = "v:lua.ScSa",
    },
    {
      text = { builtin.lnumfunc },
      click = "v:lua.ScLa",
    },
    {
      sign = { namespace = { "gitsigns*" }, auto = true },
      click = "v:lua.ScSa",
    },
    {
      text = { builtin.foldfunc, " " },
      click = "v:lua.ScFa",
    },
  },
})
