{ config
, lib
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.services.mullvad;
in
{
  options.my.services.mullvad.enable = mkEnableOption "mullvad";

  config = lib.mkIf cfg.enable {
    services.mullvad-vpn.enable = true;
    users.users.moritz.packages = with pkgs; [
      mullvad-vpn
    ];
  };
}
