{ lib, ... }:

final: prev: {
  # python-poetry/poetry#5929
  poetry = final.symlinkJoin {
    name = "poetry";
    paths = [ prev.poetry ];
    postBuild =
      let
        regex = "s/'([a-z]*[[:blank:]][a-z]*)''/\1'/g";
      in
      ''
        ${lib.getExe final.gnused} -i -E "${regex}" "$out/share/fish/vendor_completions.d/poetry.fish"
      '';
  };
}
